apiVersion: apps/v1
kind: Deployment
metadata:
  name: postgres-deployment
  namespace: capstone
spec:
  replicas: 1
  selector:
    matchLabels:
      app: postgres
  template:
    metadata:
      labels:
        app: postgres
        tier: backend
    spec:
      containers:
        - name: postgres
          image: postgres:15.1-alpine
          env:
            - name: POSTGRES_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: on-cloud-10
                  key: POSTGRES_PASSWORD
            - name: POSTGRES_USER
              valueFrom:
                secretKeyRef:
                  name: on-cloud-10
                  key: POSTGRES_ADMIN
            - name: POSTGRES_DB
              valueFrom:
                secretKeyRef:
                  name: on-cloud-10
                  key: POSTGRES_DB
          ports:
            - containerPort: 5432
          volumeMounts:
            - name: postgres-volume-mount
              mountPath: /var/lib/postgresql/data
      volumes:
        - name: postgres-volume-mount
          persistentVolumeClaim:
            claimName: postgres-pvc